
// +w640 +h480 +A0.3

#version 3.8;
global_settings {
	assumed_gamma 1.0
	mm_per_unit 40
	subsurface {samples 400, 40}
}

camera {
		location  -z*3
		right     x*image_width/image_height
		up 		y
		look_at   0
	}
sky_sphere {pigment {rgb 1}}
light_source {<10, 10, -20> color rgb 1}

#include "GraniteMacro.inc"
GranitesIndex ()

#local MyCM = 
color_map {
				[0.00 rgbt <1, 0, 0, 0>]
				[0.33 rgbt <1, 0, 0, 0>]
				[0.33 rgbt <0, 1, 0, 0>]
				[0.66 rgbt <0, 1, 0, 0>]
				[0.66 rgbt <0, 0, 1, 0>]
				[1.00 rgbt <0, 0, 1, 0>]
			}
				
#declare Text = <0.08, 0.1, 0.08>;
#declare Font = "timrom.ttf"
#declare Shift = -0.375;
//#declare Font = "timesbd.ttf"

union {
	sphere {0, 0.5 texture {Granite_03_default (help)} }
	text {ttf Font, "Granite_03_default (help)", 0.01, 0.0 pigment {rgb 0} scale Text translate <Shift, -0.75, -0.5>}
	translate -1.25*x
}

union {
	sphere {0, 0.5 material {Granite_03_Test2 (,,)} }
	text {ttf Font, "Granite_03_Test2 (,,)", 0.01, 0.0 pigment {rgb 0} scale Text translate <Shift, -0.75, -0.5>}
	
}

union {
	sphere {0, 0.5 texture {Granite_03_Test (MyCM,,)} }
	text {ttf Font, "Granite_03_Test (MyCM,,)", 0.01, 0.0 pigment {rgb 0} scale Text translate <Shift*1.5, -0.75, -0.5>}
	translate 1.25*x
}